etc-update-2.3.31-11.5.1.noarch.rpm


Advertisement

Description

etc-update - Configuration file update handler

Property Value
Distribution openSUSE Leap 42.3
Repository openSUSE Update Oss all
Package name etc-update
Package version 2.3.31
Package release 11.5.1
Package architecture noarch
Package type rpm
Installed size 43.36 KB
Download size 20.37 KB
Official Mirror ftp.gwdg.de
etc-update  is  supposed  to be run after merging a new package to see if there
are updates to the configuration files.  If a new configuration file will
override an old one, etc-update will prompt the user for a decision.
etc-update will check all directories specified on the command line.  If no
paths are given, then the CONFIG_PROTECT variable will be  used.   All  config
files  found  in  CONFIG_PRO?TECT_MASK will automatically be updated for you by
etc-update.

Alternatives

Package Version Architecture Repository
etc-update-2.1.11.50-10.1.noarch.rpm 2.1.11.50 noarch openSUSE Oss
etc-update - - -

Requires

Name Value
/bin/bash -
bash -

Provides

Name Value
config(etc-update) = 2.3.31-11.5.1
etc-update = 2.3.31-11.5.1

Download

Type URL
Binary Package etc-update-2.3.31-11.5.1.noarch.rpm
Source Package etc-update-2.3.31-11.5.1.src.rpm

Install Howto

Install etc-update rpm package:

# zypper install etc-update

Files

Path
/etc/etc-update.conf
/usr/sbin/etc-update
/usr/share/licenses/etc-update/LICENSE
/usr/share/man/man1/etc-update.1.gz

Changelog

2018-04-30 - tchvatal@suse.com
- Refresh etc-update-opensuse.patch to match for rpmnew files too.
Now it matched only rpmsave and rpmorig
* etc-update-opensuse.patch
2018-04-26 - tchvatal@suse.com
- Add patch etc-update-opensuse.patch to really work on Leap
2018-04-25 - tchvatal@suse.com
- Version update to 2.3.31:
* Few small fixes
* Update to support archlinux config files out of the box
- Use full portage archive in order to allow "automatic" updating
instead of copying files
2015-11-13 - tampakrap@opensuse.org
- Version bump 2.2.24:
* Test portageq and etc-update for Gentoo bug #462412.
* CONFIG_PROTECT: handle non-existent files
* etc-update: symlink support for Gentoo bug #485598
* Add support for SUSE based distros in etc-update, Gentoo bug #456128
* FEATURES=case-insensitive-fs for Gentoo bug #524236
* Various minor updates in the makefile
- New URL due to redesign of all the Gentoo webpages
- Remove rpm-distribution.patch as it is merged upstream
2013-02-08 - mhrusecky@suse.cz
- include license file
2013-02-07 - mhrusecky@suse.cz
- osc service localrun format_spec_file
2013-02-04 - mhrusecky@suse.cz
- move tool to %_sbin where it belongs
2013-02-03 - mhrusecky@suse.cz
- use upstream files and separate patch
2013-02-03 - mhrusecky@suse.cz
- initial version of the package, patched current version from portage

See Also

Package Description
evince-3.20.2-6.1.x86_64.rpm GNOME Document Viewer
evince-3.20.2-9.1.x86_64.rpm GNOME Document Viewer
evince-browser-plugin-3.20.2-6.1.x86_64.rpm Browser Plugin Based on Evince
evince-browser-plugin-3.20.2-9.1.x86_64.rpm Browser Plugin Based on Evince
evince-devel-3.20.2-6.1.x86_64.rpm GNOME Document Viewer
evince-devel-3.20.2-9.1.x86_64.rpm GNOME Document Viewer
evince-lang-3.20.2-6.1.noarch.rpm Languages for package evince
evince-lang-3.20.2-9.1.noarch.rpm Languages for package evince
evince-plugin-comicsdocument-3.20.2-6.1.x86_64.rpm Evince - comics document support
evince-plugin-comicsdocument-3.20.2-9.1.x86_64.rpm Evince - comics document support
evince-plugin-djvudocument-3.20.2-6.1.x86_64.rpm Evince - DjVu document support
evince-plugin-djvudocument-3.20.2-9.1.x86_64.rpm Evince - DjVu document support
evince-plugin-dvidocument-3.20.2-6.1.x86_64.rpm Evince - DVI document support
evince-plugin-dvidocument-3.20.2-9.1.x86_64.rpm Evince - DVI document support
evince-plugin-pdfdocument-3.20.2-6.1.x86_64.rpm Evince - PDF document support
Advertisement
Advertisement